// priority: 1000
// Visit the wiki for more info - https://kubejs.com/
console.info('Hello, World! (Loaded medium_temperature_smelting_casing.js)')


// medium_temperature_smelting_casing
StartupEvents.registry('block', event => {
    event.create('medium_temperature_smelting_casing')
        .displayName('Medium Temperature Smelting Casing')
        .soundType('metal')
        .hardness(5.0)
        .resistance(6.0)
        .requiresTool(true)
})


/*
startup_scripts block registry
assets/kubejs/blockstates/medium_temperature_smelting_casing.json (point to block model)
assets/kubejs/models/block/custom_casings/medium_temperature_smelting_casing.json (parent minecraft:block/cube_all + texture key)
assets/kubejs/models/item/medium_temperature_smelting_casing.json (item uses block model)
assets/kubejs/textures/block/custom_casings/medium_temperature_smelting_casing/{standard,ctm}.png/mcmeta
*/